Bug 2151239

Summary: RFE: Add --rpms option to download only rpms via download-build
Product: [Community] Copr Reporter: Jitka Plesnikova <jplesnik>
Component: cliAssignee: Copr Team <copr-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: jkadlcik, praiskup
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-02-09 12:17:52 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Jitka Plesnikova 2022-12-06 13:02:25 UTC
When I run 'copr download-build BUILD_ID', it downloaded lots of files:

$ ls centos-stream+epel-next-9-x86_64/ 
backend.log.gz            configs.tar.gz                            results.json
build-05088644.rsync.log  hw_info.log.gz                            root.log.gz
builder-live.log.gz       index.html                                state.log.gz
build.info                perl-srpm-macros-epel-1-1.el9.noarch.rpm  success
build.log.gz              perl-srpm-macros-epel-1-1.el9.src.rpm     var
chroot_scan               perl-srpm-macros-epel.spec

Most of them I usually don't need. 

Would it be possible to add the option '--rpms' to the action 'download-build'?
This option would only allow *.rpm files to be downloaded.

Another way could be to have an option that would define a regular expression (e.g. *.rpm, *.log.gz) on the basis of which it would be determined which files should be downloaded.

Comment 1 Jakub Kadlčík 2022-12-12 21:56:40 UTC
Hello Jitka,
thank you for the feedback.

I created a PR: https://github.com/fedora-copr/copr/pull/2437